/*******************************************************************************
 * Copyright (c) 2003-2004, Michael Bartl
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the license in the file License.txt
 * 
 * Created on 05.07.2004
 *******************************************************************************/

package com.mbartl.viplugineclipse;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.ui.IWorkbenchWindow;

import com.mbartl.viimplementation.interfaces.IMessageDialog;

/**
 * @author Michael Bartl
 */
public class ViMessageDialog implements IMessageDialog {

	private IWorkbenchWindow _window;

	public ViMessageDialog(IWorkbenchWindow window) {
		_window = window;
	}

	public void showDialog(String title, String message) {
		MessageDialog.openInformation(_window.getShell(), title, message);
	}
}