/*******************************************************************************
 * Copyright (c) 2003-2004, Michael Bartl
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the license in the file License.txt
 * 
 * Created on 03.01.2005
 *******************************************************************************/

package com.mbartl.viplugineclipse.actions;

import org.eclipse.jface.action.Action;

import com.mbartl.viimplementation.layer.ViLayer;
import com.mbartl.viimplementation.layer.ViLayerManager;

/**
 * @author Michael Bartl
 */
public class SwitchToCommandMode extends Action {

	public static final String ACTIONID = "com.mbartl.viplugineclipse.actions.SwitchToCommandMode";

	public SwitchToCommandMode() {
		setActionDefinitionId(ACTIONID);
	}
	
	public void run() {
		ViLayer layer = ViLayerManager.getInstance().getCurrentLayer();
		layer.switchToCommandMode();
		layer.setStatusLine();
	}
}