/*
 * Created on 29.06.2004
 */
package com.mbartl.viplugineclipse;

import org.eclipse.ui.IWindowListener;
import org.eclipse.ui.IWorkbenchWindow;

/**
 * Controls lifecycle of individual ViLayers.
 * 
 * @author Michael Bartl
 */
public class ViWindowListener implements IWindowListener {

	public void windowActivated(IWorkbenchWindow window) {
		ViPluginPlugin.getDefault().log("windowActivated: " + window.toString());
		ActivateLayer.activateLayer(window.getActivePage().getActiveEditor());
	}

	public void windowDeactivated(IWorkbenchWindow window) {
		ViPluginPlugin.getDefault().log("windowDeactivated: " + window.toString());
	}

	public void windowClosed(IWorkbenchWindow window) {
		ViPluginPlugin.getDefault().log("windowClosed: " + window.toString());
	}

	public void windowOpened(IWorkbenchWindow window) {
		ViPluginPlugin.getDefault().log("windowOpened: " + window.toString());
	}
}
